> ## Documentation Index
> Fetch the complete documentation index at: https://aarc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Status



## OpenAPI

````yaml GET /v3/request-status/{requestId}
openapi: 3.0.0
info:
  title: Aarc API Documentation
  description: Makes it easy to bring assets cross chain for devs
  version: '3.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v3/request-status/{requestId}:
    get:
      tags:
        - BridgeSwap
      operationId: BridgeSwapController_getRequestStatus
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
        - name: requestId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Request status
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                  status:
                    type: string
                  transactionSteps:
                    type: array
                    items:
                      type: object

````